Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations waross on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

Vertex

Status
Not open for further replies.

theing

New member
Mar 5, 2014
18
0
0
MX
good afternoon

i just want to know if a can get the coordinates of a vertex (no points) and if the GetCoordinates will also work

Thank you for your answer
 
Replies continue below

Recommended for you

i exctract all the surfaces of a body, and i pick a random surface to get the vertex and, i am trying to get the coordinates of each vertex, the code i am using is the following

hope you can help me with this

Language="VBSCRIPT"

Sub CATMain()

Dim mycoord(2)

Set partDocument1 = CATIA.ActiveDocument
Set selection1 = partDocument1.Selection

selection1.Search "Name=Surface.48,all"

Set selection = partDocument1.Selection1
selection.Search "Topology.Vertex,sel"
Y = selection.Count

For i = 1 To Y
Set reference1 = Selection.Item(i).Value
reference1.GetCoordinates (mycoord)
xc = mycoord(0)
yc = mycoord(1)
zc = mycoord(2)

MsgBox xc
MsgBox yc
MsgBox zc
Next

End Sub
 
Status
Not open for further replies.
Back
Top